﻿using Connected.Utilities;
using Microsoft.AspNetCore.Components;

namespace Connected.Components;
public partial class MainContent
{
	#region Styling
	private CssBuilder CompiledClassList
	{
		get
		{
			return new CssBuilder("main-content")
				 .AddClass(ClassList);
		}
	}

	/// <summary>
	/// A space separated list of class names, added on top of the default class list.
	/// </summary>
	[Parameter]
	public string? ClassList { get; set; }
	#endregion

	#region Content
	[Parameter]
	public RenderFragment ChildContent { get; set; }
	#endregion

}
